#include "forme.h"
forme::forme(int X, int Y, char *f,Uint32 c)
{
		
}

void forme::Put_forme(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran)
{
	
}

void forme::Set_forme_Pos(int X,int Y)
{
	x=X;
	y=Y;

}
void forme::Get_all_pos()
{
}

int forme::Get_X(){

return 1;	
}
int forme::Get_Y(){

	return 1;
}

void forme::Rotation_forme(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran,tableau t)
{
}


bool forme::verif_rotation(forme f,tableau t)
{
	return TRUE;
}

void forme::Effacer_forme(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran)
{
}

void forme::Bouge_droite(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran,tableau t)
{
}

void forme::Bouge_gauche(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran,tableau t)
{
}



void forme::Descendre(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran,tableau t,ETAT *e)
{
}


void forme::Set_forme(char *c)
{
	
}
void forme::Set_color(Uint32 col)
{
	